Package com.collibra.catalog.api.component.classification.dto

# Class ChangeClassificationMatchRequest

Object
ChangeClassificationMatchRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeClassificationMatchRequest extends Object implements Serializable
Criteria for changing classification match.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ChangeClassificationMatchRequest.ChangeClassificationMatchRequestBuilder`
  `static enum`
  `ChangeClassificationMatchRequest.ClassificationStatus`
  The status of classification match to be changed to.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeClassificationMatchRequest()`
  `ChangeClassificationMatchRequest(UUID classificationMatchId, ChangeClassificationMatchRequest.ClassificationStatus status, Double confidence)`
  Creates a new `ChangeClassificationMatchRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeClassificationMatchRequest.ChangeClassificationMatchRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getClassificationMatchId()`
  The `id` of the classification match.
  `Double`
  `getConfidence()`
  The confidence level between 0-1 which the current match is assigned with.
  `ChangeClassificationMatchRequest.ClassificationStatus`
  `getStatus()`
  The classification status to be set on classification match with given id.
  `int`
  `hashCode()`
  `void`
  `setClassificationMatchId(UUID classificationMatchId)`
  The `id` of the classification match.
  `void`
  `setConfidence(Double confidence)`
  The confidence level between 0-1 which the current match is assigned with.
  `void`
  `setStatus(ChangeClassificationMatchRequest.ClassificationStatus status)`
  The classification status to be set on classification match with given id.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeClassificationMatchRequest

    public ChangeClassificationMatchRequest(UUID classificationMatchId, ChangeClassificationMatchRequest.ClassificationStatus status, Double confidence)
    Creates a new `ChangeClassificationMatchRequest` instance.
    Parameters:
      `classificationMatchId` - The `id` of the classification match.
      `status` - The classification status to be set on classification match with given id. Only possible choices : ACCEPTED, REJECTED.
      `confidence` - The confidence level between 0-1 which the current match is assigned with.

  - ### ChangeClassificationMatchRequest

    public ChangeClassificationMatchRequest()

- ## Method Details

  - ### builder

    public static ChangeClassificationMatchRequest.ChangeClassificationMatchRequestBuilder builder()

  - ### getClassificationMatchId

    public UUID getClassificationMatchId()
    The `id` of the classification match.

  - ### getStatus

    public ChangeClassificationMatchRequest.ClassificationStatus getStatus()
    The classification status to be set on classification match with given id. Only possible choices : ACCEPTED, REJECTED.

  - ### getConfidence

    public Double getConfidence()
    The confidence level between 0-1 which the current match is assigned with.

  - ### setClassificationMatchId

    public void setClassificationMatchId(UUID classificationMatchId)
    The `id` of the classification match.

  - ### setStatus

    public void setStatus(ChangeClassificationMatchRequest.ClassificationStatus status)
    The classification status to be set on classification match with given id. Only possible choices : ACCEPTED, REJECTED.

  - ### setConfidence

    public void setConfidence(Double confidence)
    The confidence level between 0-1 which the current match is assigned with.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`